import React from 'react';
import { history, Link } from 'umi';
import { Button, Popconfirm, message, Tooltip } from 'antd';
import { PlusOutlined } from '@ant-design/icons';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};

export default (props) => {
  const actions = () => [
    <Button key="add" type="primary" icon={<PlusOutlined />} onClick={() => gotoEdit()}>
      新增农机
    </Button>,
  ];
  const gotoEdit = (id) => {
    const queryStr = id ? `?id=${id}` : '';
    history.push(`./machinery/edit.jsx${queryStr}`);
  };
  const columns = [
    {
      title: '名称',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '农机类型',
      dataIndex: 'typeName',
      key: 'typeName',
    },
    {
      title: '农机归属',
      dataIndex: 'regionName',
      key: 'regionName',
    },
    {
      title: '农机价格',
      dataIndex: 'price',
      key: 'price',
    },
    {
      title: '人工费',
      dataIndex: 'laborCost',
      key: 'laborCost',
    },
    {
      title: '押金',
      dataIndex: 'deposit',
      key: 'deposit',
    },
    {
      title: '工作状态',
      dataIndex: 'jobStatus',
      key: 'jobStatus',
    },
    {
      title: '状态',
      dataIndex: 'status',
      key: 'status',
    },
    {
      title: '操作',
      valueType: 'option',
      render: (_, record) => [
        <Link key={1} to={`./machinery/edit.jsx`}>
          编辑
        </Link>,
        <Popconfirm
          key={2}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.cooperativeId)}
          okText="确定"
          cancelText="取消"
        >
          <a href="#">删除</a>
        </Popconfirm>,
      ],
    },
  ];
  const handleDelete = () => {};
  return (
    <PageHeaderWrapper>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        toolBarRender={actions}
        columns={columns}
        rowKey="machineryId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
